2016-09-27 23:35 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000802OpenFOAM[All Projects] Bugpublic2015-02-05 21:13
Reporterborrbyper 
Assigned Tohenry 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version12.04 LTS
Product Version 
Target VersionFixed in Version 
Summary0000802: yPlusLES not for compressible cases
DescriptionThe release description for 2.2.0 states:
"new yPlusRAS and yPlusLES - calculates yPlus for incompressible and compressible cases, employing RAS and LES turbulence, respectively."

The yPlusLES utility in 2.2.x-45d55aea0dee seems to be for incompressible only though.

Region functionality would be a bonus.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002072

user2

Thanks for your feature request. The release notes describe the addition of new yPlusRAS and yPlusLES function objects, as opposed to utilities:

    http://www.openfoam.org/version2.2.0/post-processing.php

The yPlusLES utility is currently lagging behind the equivalent function object

~0002243

wyldckat (updater)

Since this seemed to be a good coding exercise, I've made a derivative of the "yPlusLES" utility to also have the "-compressible" option.

Instructions, code and test cases for validating the calculations are available here: https://github.com/wyldckat/yPlusLESWCompressible/tree/of22x

Since there isn't a repository for "Unsupported-Contrib-OpenFOAM-2.2.x" yet, I took the liberty of setting up the previously mentioned repository mostly oriented to this single utility and the test cases for checking the code.
Other than the folder structure, the code should (hopefully) be compliant with the "Unsupported Contributions" established protocols.

~0002354

roth (reporter)

Note that the compressible option appears to have made its way into yPlusRAS (and wallHeatFlux) but does not seem to work for buoyant solvers i.e. where rho does not typically exist in the time directories. Perhaps it could be read if present or calculated as needed i.e. as per the way it is created in rhoPimpleFoam (or as per it appears to have done in wyldckat's github version above):

    volScalarField rho
    (
        IOobject
        (
            "rho",
            runTime.timeName(),
            mesh,
            IOobject::READ_IF_PRESENT,
            IOobject::AUTO_WRITE
        ),
        thermo.rho()
    );

~0002803

wyldckat (updater)

@roth: I've remembered about your comment today, because bug #1141 was fixed yesterday.
And I'm having a hard time understanding what you mean by your comment, because even before the aforementioned bug was fixed, "rho" is still coming from the turbulence model and "yPlus" is calculated directly in the wall function.

And I've tested running:
   yPlusRAS -compressible

in the tutorial "heatTransfer/buoyantSimpleFoam/hotRoom" and "heatTransfer/buoyantBoussinesqSimpleFoam/hotRoom"... and now I see what you mean, because all "yPlus" values are all zero.

OK, two details:
1- This issue should be reported separately in another bug report, since this bug report is about yPlusLES.
2- Further debugging is needed, since yPlus in yPlusRAS is calculated in the wall function, such as "mutkWallFunctionFvPatchScalarField::yPlus()", where "rho" is retrieved from the turbulence model.

~0003678

henry (manager)

Resolved by commit 45948394988fecc4efb3fe397de9645e75a44651 in OpenFOAM-dev
+Notes

-Issue History
Date Modified Username Field Change
2013-03-26 07:12 borrbyper New Issue
2013-03-26 09:05 user2 Note Added: 0002072
2013-05-26 23:06 wyldckat Note Added: 0002243
2013-07-30 15:25 roth Note Added: 0002354
2014-02-02 16:47 wyldckat Note Added: 0002803
2015-02-04 23:11 henry Note Added: 0003678
2015-02-04 23:11 henry Status new => resolved
2015-02-04 23:11 henry Resolution open => fixed
2015-02-04 23:11 henry Assigned To => henry
+Issue History